curl --request POST \
--url https://api.agents.slng.ai/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"schema_version": 2,
"tool_mode": "shared",
"name": "Appointment Reminder",
"system_prompt": "You are a friendly appointment reminder for {{clinic_name}}. Confirm the patient's upcoming visit or help them reschedule. Keep responses to one or two sentences.",
"greeting": "Hi {{patient_name}}, this is a reminder from {{clinic_name}} about your upcoming appointment.",
"language": "en",
"region": "eu-central",
"models": {
"stt": "slng/deepgram/nova:3-en",
"llm": "groq/openai/gpt-oss-120b",
"tts": "slng/deepgram/aura:2-en",
"tts_voice": "aura-2-thalia-en"
},
"tool_refs": [],
"mcp_refs": [],
"template_defaults": {
"clinic_name": "Downtown Health Clinic",
"patient_name": "there"
}
}
EOF{
"id": "550e8400-e29b-41d4-a716-446655440000",
"organisation_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"system_prompt": "<string>",
"greeting": "<string>",
"language": "<string>",
"region": "<string>",
"models": {
"stt": "slng/deepgram/nova:3-en",
"llm": "groq/openai/gpt-oss-120b",
"tts": "slng/deepgram/aura:2-en",
"tts_voice": "aura-2-thalia-en",
"stt_kwargs": {},
"llm_kwargs": {},
"tts_kwargs": {},
"fallbacks": {
"stt": [],
"llm": [],
"tts": []
},
"stt_final_timeout_s": 1,
"llm_first_token_timeout_s": 1,
"tts_first_audio_timeout_s": 1,
"failure_audio_enabled": true
},
"idle_nudges": {
"first_nudge_text": "<string>",
"second_nudge_text": "<string>",
"final_hangup_text": "<string>",
"enabled": true,
"first_nudge_delay_seconds": 15,
"second_nudge_delay_seconds": 30,
"hangup_delay_seconds": 15
},
"enable_interruptions": true,
"tool_mode": "legacy",
"tools": [
{}
],
"tool_refs": [
{
"attachment_id": "550e8400-e29b-41d4-a716-446655440000",
"tool_id": "550e8400-e29b-41d4-a716-446655440000",
"version": 2,
"description": "<string>",
"invocation": "model",
"system": {
"triggers": [
{
"event": "call_start",
"source_attachment_id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"arguments": []
},
"execution_policy": {
"pre_action_message": {
"enabled": false,
"text": {
"segments": [
{
"type": "literal",
"value": "<string>"
}
]
},
"wait": false
}
},
"argument_overrides": {},
"config_overrides": {
"type": "api_request",
"url": "<string>"
}
}
],
"mcp_refs": [
{
"attachment_id": "550e8400-e29b-41d4-a716-446655440000",
"server_id": "550e8400-e29b-41d4-a716-446655440000",
"tool_name": "<string>",
"observed_schema_hash": "<string>",
"description": "<string>",
"invocation": "model",
"execution_policy": {
"pre_action_message": {
"enabled": false,
"text": {
"segments": [
{
"type": "literal",
"value": "<string>"
}
]
},
"wait": false
}
},
"argument_overrides": {}
}
],
"livekit_deployment": "<string>",
"template_variables": {},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z",
"inbound_greeting": "<string>",
"outbound_greeting": "<string>",
"models_validation_error": "<string>",
"llm_router_enabled": true,
"sip_inbound_trunk_id": "550e8400-e29b-41d4-a716-446655440000",
"sip_outbound_trunk_id": "550e8400-e29b-41d4-a716-446655440000",
"runtime_variables": [
{
"name": "<string>",
"description": "<string>"
}
],
"deleted_at": "2026-01-15T10:30:00Z"
}Create agent
Create a new voice agent.
curl --request POST \
--url https://api.agents.slng.ai/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"schema_version": 2,
"tool_mode": "shared",
"name": "Appointment Reminder",
"system_prompt": "You are a friendly appointment reminder for {{clinic_name}}. Confirm the patient's upcoming visit or help them reschedule. Keep responses to one or two sentences.",
"greeting": "Hi {{patient_name}}, this is a reminder from {{clinic_name}} about your upcoming appointment.",
"language": "en",
"region": "eu-central",
"models": {
"stt": "slng/deepgram/nova:3-en",
"llm": "groq/openai/gpt-oss-120b",
"tts": "slng/deepgram/aura:2-en",
"tts_voice": "aura-2-thalia-en"
},
"tool_refs": [],
"mcp_refs": [],
"template_defaults": {
"clinic_name": "Downtown Health Clinic",
"patient_name": "there"
}
}
EOF{
"id": "550e8400-e29b-41d4-a716-446655440000",
"organisation_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"system_prompt": "<string>",
"greeting": "<string>",
"language": "<string>",
"region": "<string>",
"models": {
"stt": "slng/deepgram/nova:3-en",
"llm": "groq/openai/gpt-oss-120b",
"tts": "slng/deepgram/aura:2-en",
"tts_voice": "aura-2-thalia-en",
"stt_kwargs": {},
"llm_kwargs": {},
"tts_kwargs": {},
"fallbacks": {
"stt": [],
"llm": [],
"tts": []
},
"stt_final_timeout_s": 1,
"llm_first_token_timeout_s": 1,
"tts_first_audio_timeout_s": 1,
"failure_audio_enabled": true
},
"idle_nudges": {
"first_nudge_text": "<string>",
"second_nudge_text": "<string>",
"final_hangup_text": "<string>",
"enabled": true,
"first_nudge_delay_seconds": 15,
"second_nudge_delay_seconds": 30,
"hangup_delay_seconds": 15
},
"enable_interruptions": true,
"tool_mode": "legacy",
"tools": [
{}
],
"tool_refs": [
{
"attachment_id": "550e8400-e29b-41d4-a716-446655440000",
"tool_id": "550e8400-e29b-41d4-a716-446655440000",
"version": 2,
"description": "<string>",
"invocation": "model",
"system": {
"triggers": [
{
"event": "call_start",
"source_attachment_id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"arguments": []
},
"execution_policy": {
"pre_action_message": {
"enabled": false,
"text": {
"segments": [
{
"type": "literal",
"value": "<string>"
}
]
},
"wait": false
}
},
"argument_overrides": {},
"config_overrides": {
"type": "api_request",
"url": "<string>"
}
}
],
"mcp_refs": [
{
"attachment_id": "550e8400-e29b-41d4-a716-446655440000",
"server_id": "550e8400-e29b-41d4-a716-446655440000",
"tool_name": "<string>",
"observed_schema_hash": "<string>",
"description": "<string>",
"invocation": "model",
"execution_policy": {
"pre_action_message": {
"enabled": false,
"text": {
"segments": [
{
"type": "literal",
"value": "<string>"
}
]
},
"wait": false
}
},
"argument_overrides": {}
}
],
"livekit_deployment": "<string>",
"template_variables": {},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z",
"inbound_greeting": "<string>",
"outbound_greeting": "<string>",
"models_validation_error": "<string>",
"llm_router_enabled": true,
"sip_inbound_trunk_id": "550e8400-e29b-41d4-a716-446655440000",
"sip_outbound_trunk_id": "550e8400-e29b-41d4-a716-446655440000",
"runtime_variables": [
{
"name": "<string>",
"description": "<string>"
}
],
"deleted_at": "2026-01-15T10:30:00Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
255System prompt (Handlebars template).
Default greeting.
10Region where the agent runs.
us-east, eu-central, ap-south Model configuration for the agent runtime (STT + LLM + TTS).
Show child attributes
Show child attributes
Optional greeting override for inbound calls.
Optional greeting override for outbound calls.
Routes the agent's LLM traffic through SLNG's managed LLM routing layer. Enabled by default.
Optional silence recovery behavior. The runtime can send two follow-up nudges, then speak a final message and hang up.
Show child attributes
Show child attributes
AgentConfig schema version. Set this to 2 for portable shared-agent configuration documents.
2 New agents use the shared organisation tool library.
shared Published organisation or curated tools attached to this agent.
128Show child attributes
Show child attributes
MCP server tools attached to this agent.
128Show child attributes
Show child attributes
Optional SLNG agent template. It cannot be combined with explicit tool_refs.
"550e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
Show child attributes
Show child attributes
Per-variable options for the input variables used in the prompt and greetings, keyed by variable name. Use this to mark an input variable optional.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Agent created.
"550e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
Model configuration for the agent runtime (STT + LLM + TTS).
Show child attributes
Show child attributes
Optional silence recovery behavior. The runtime can send two follow-up nudges, then speak a final message and hang up.
Show child attributes
Show child attributes
Tool system fixed when the agent was created. New agents use shared.
legacy, shared Legacy compatibility output. New shared agents return an empty array. Use tool_refs and mcp_refs for all new configuration.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Name of the runtime deployment serving this agent.
Show child attributes
Show child attributes
"2026-01-15T10:30:00Z"
"2026-01-15T10:30:00Z"
Set when the stored models configuration no longer validates against the
current rules. In that case models is returned as stored, without
validation.
Whether the agent's LLM traffic is routed through SLNG's managed LLM routing layer.
"550e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
Show child attributes
Show child attributes
"2026-01-15T10:30:00Z"
Was this page helpful?